=== debian/changelog ===
orthanc (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Tue, 17 Jul 2018 16:52:47 +0200

orthanc (1.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Updated d/upstream/metadata with new reference paper about Orthanc

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 13 Jul 2018 17:44:11 +0200

orthanc (1.3.2+dfsg-2) unstable; urgency=medium

  * Fix copyright
  * Set -DNDEBUG to disable assertion checking
  * Set -DCMAKE_BUILD_TYPE=None

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 27 Apr 2018 13:24:36 +0200

orthanc (1.3.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 18 Apr 2018 16:09:02 +0200
