=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: orthanc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Sebastien Jodogne <s.jodogne@gmail.com>,
            Andreas Tille <tille@debian.org>
 Section: science
@@ -26,9 +25,9 @@
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/orthanc.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/orthanc.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/orthanc
+Vcs-Git: https://salsa.debian.org/med-team/orthanc.git
 Homepage: http://www.orthanc-server.com/
 
 Package: orthanc
