=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,13 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+# Disable assert() checking from upstream project, for best performance
+# https://lists.debian.org/debian-med/2018/04/msg00132.html
+export DEB_CFLAGS_MAINT_APPEND=-DNDEBUG
+export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+
 %:
 	dh $@ --builddirectory=Build
-
-
-# Remarks about the flags to CMake below:
-# -DCMAKE_BUILD_TYPE="" => The build type must be left empty, see #711515
 
 CMAKE_EXTRA_FLAGS += \
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
@@ -25,7 +26,7 @@
 	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DDCMTK_LIBRARIES:STRING=dcmjpls \
 	-DUNIT_TESTS_WITH_HTTP_CONNEXIONS:BOOL=OFF \
-	-DCMAKE_BUILD_TYPE=""
+	-DCMAKE_BUILD_TYPE=None  # The build type must be set to None, see #711515
 
 override_dh_auto_configure:
         # Put 3rd party packages where the cmake build system expects them
@@ -59,6 +60,7 @@
 	ln -s /usr/share/javascript/jquery/jquery.min.js Build/OrthancPluginDocumentation/doc/jquery.js
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
         # Generate the en_US.UTF-8 locale before running tests
         # (required for case-insensitive comparison of strings with
         # accents). Full explanation:
@@ -67,6 +69,7 @@
 	localedef -f UTF-8 -i en_US $(DESTDIR)/locale/en_US.UTF-8/
 
 	( cd Build; LOCPATH=$(DESTDIR)/locale/ ./UnitTests )
+endif
 
 override_dh_clean:
 	rm -rf ThirdPartyDownloads
@@ -96,6 +99,3 @@
 override_dh_compress:
         # Do not compress the samples
 	dh_compress -XOrthancPluginSamples -XSamples
-
-get-orig-source:
-	uscan --verbose --force-download --repack --compression xz
