## orthanc 1.5.4+dfsg

=== debian/changelog ===
orthanc (1.5.4+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 09 Feb 2019 10:42:35 +0100

orthanc (1.5.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 26 Jan 2019 07:59:21 +0100

orthanc (1.5.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Fri, 18 Jan 2019 19:56:06 +0100

orthanc (1.5.1+dfsg-2) unstable; urgency=medium

  * Fix FTBFS with DCMTK 3.6.4. Closes: #919193

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 14 Jan 2019 10:13:39 +0100

orthanc (1.5.1+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Dec 2018 14:08:18 +0100

orthanc (1.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 10 Dec 2018 20:48:44 +0100

orthanc (1.4.2+dfsg-2) unstable; urgency=medium

  * Fix URL in README.Debian. Closes: #913722

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 14 Nov 2018 17:26:45 +0100

orthanc (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Thu, 20 Sep 2018 17:12:38 +0200
