=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	-DCMAKE_SKIP_RPATH:BOOL=ON \
 	-DSTATIC_BUILD:BOOL=OFF \
 	-DSTANDALONE_BUILD:BOOL=ON \
+	-DENABLE_CIVETWEB:BOOL=OFF \
 	-DUSE_SYSTEM_MONGOOSE:BOOL=OFF \
 	-DUSE_GOOGLE_TEST_DEBIAN_PACKAGE:BOOL=ON \
 	-DDCMTK_LIBRARIES:STRING=dcmjpls \
