=== debian/changelog ===
orthanc (1.5.6+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 02 Mar 2019 09:15:35 +0100

orthanc (1.5.5+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Mon, 25 Feb 2019 13:36:58 +0100
