## orthanc 1.5.7+dfsg

=== debian/changelog ===
orthanc (1.5.7+dfsg-2) unstable; urgency=medium

  * Missing "Should-Start" dependency on MySQL for orthanc-mysql package

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Sat, 07 Sep 2019 11:29:48 +0200

orthanc (1.5.7+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Sebastien Jodogne <s.jodogne@gmail.com>  Wed, 31 Jul 2019 13:38:24 +0200
