=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                uuid-dev,
                zlib1g-dev,
                yui-compressor
-Standards-Version: 4.3.0.3
+Standards-Version: 4.4.0.1
 Vcs-Browser: https://salsa.debian.org/med-team/orthanc
 Vcs-Git: https://salsa.debian.org/med-team/orthanc.git
 Homepage: http://www.orthanc-server.com/
